[Bug 1028677] Re: mdadm should be used for fakeraid (instead of dmraid)

Jan Kleinsorge jan.kleinsorge at gmail.com
Sat Sep 22 22:44:02 UTC 2012


It is critical to replace dmraid with mdadm as dmraid is unable to deal
with large disk sizes. For a 3TB imsm raid1 dual-boot ('fakeraid') in my
case the disks were shown as ~746GB sized and dmraid -an would not
release them. So the only way was to boot the live cd with nodmraid and
manually install mdadm and assemble the array.

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to ubiquity in Ubuntu.
https://bugs.launchpad.net/bugs/1028677

Title:
  mdadm should be used for fakeraid (instead of dmraid)

Status in “debian-installer” package in Ubuntu:
  Invalid
Status in “mdadm” package in Ubuntu:
  Invalid
Status in “partman-md” package in Ubuntu:
  Confirmed
Status in “ubiquity” package in Ubuntu:
  Invalid

Bug description:
  mdadm now support external metadata and can hadle fakeraid better than dmraid:
  https://raid.wiki.kernel.org/index.php/RAID_setup#External_Metadata
  http://download.intel.com/design/intarch/PAPERS/326024.pdf

  It seems that dmraid is no more developed (only maintenance), so
  ubuntu should use mdadm instead of dmraid for fakeraid.

  Actually, it's not possible to setup a new ubuntu install with mdadm
  fakeraid (tried 12.04 and 12.10 alpha 2 alternate cd): only dmraid is
  offered.

  ProblemType: Bug
  DistroRelease: Ubuntu 11.10
  Package: mdadm (not installed)
  ProcVersionSignature: Ubuntu 3.0.0-23.39-generic 3.0.36
  Uname: Linux 3.0.0-23-generic i686
  NonfreeKernelModules: nvidia
  ApportVersion: 1.23-0ubuntu4
  Architecture: i386
  Date: Wed Jul 25 00:45:56 2012
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111011)
  ProcEnviron:
   LANGUAGE=en_US:en
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: mdadm
  UpgradeStatus: Upgraded to oneiric on 2012-07-07 (17 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/debian-installer/+bug/1028677/+subscriptions




More information about the foundations-bugs mailing list